> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates one or more sub-suppliers.

> Body is always an array, even for a single item. Each item is persisted independently — success count and failure count are tracked. Capped at 200 items per request.



## OpenAPI

````yaml /openapi/external.enriched.json post /api/sub-suppliers
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/sub-suppliers:
    post:
      tags:
        - SubSuppliers
      summary: Creates one or more sub-suppliers.
      description: >-
        Body is always an array, even for a single item. Each item is persisted
        independently — success count and failure count are tracked. Capped at
        200 items per request.
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/SubSupplierCreateDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/SubSupplierCreateDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/SubSupplierCreateDto'
        required: true
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfSubSupplierDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfSubSupplierDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfSubSupplierDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '409':
          description: Conflict
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
      security:
        - {}
components:
  schemas:
    SubSupplierCreateDto:
      type: object
      properties:
        name:
          type: string
        customId:
          type:
            - 'null'
            - string
        relationType:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SubSupplierRelationType'
        address:
          type:
            - 'null'
            - string
        zipCode:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        stateOrRegion:
          type:
            - 'null'
            - string
        countryCode:
          type: string
        latitude:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        longitude:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        webSite:
          type:
            - 'null'
            - string
        vatNumber:
          type:
            - 'null'
            - string
        mid:
          type:
            - 'null'
            - string
        avatarColor:
          type:
            - 'null'
            - string
        contacts:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/SubSupplierContactCreateDto'
      additionalProperties: false
    ApiResponseOfListOfSubSupplierDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/SubSupplierDto'
      additionalProperties: false
    ApiBulkErrorResponse:
      required:
        - status
        - code
        - error
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/BulkErrorDetail'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    SubSupplierRelationType: {}
    SubSupplierContactCreateDto:
      type: object
      properties:
        firstName:
          type:
            - 'null'
            - string
        lastName:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        phone:
          type:
            - 'null'
            - string
        role:
          type:
            - 'null'
            - string
        faxNumber:
          type:
            - 'null'
            - string
        properties:
          type:
            - 'null'
            - array
          items:
            type: string
        countryCode:
          type:
            - 'null'
            - string
      additionalProperties: false
    ApiResponseStatus: {}
    SubSupplierDto:
      type: object
      properties:
        id:
          type: string
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type: string
        customId:
          type:
            - 'null'
            - string
        relationType:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SubSupplierRelationType'
        relationTypeName:
          type:
            - 'null'
            - string
        address:
          type:
            - 'null'
            - string
        zipCode:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        stateOrRegion:
          type:
            - 'null'
            - string
        countryCode:
          type:
            - 'null'
            - string
        countryName:
          type:
            - 'null'
            - string
        latitude:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        longitude:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        webSite:
          type:
            - 'null'
            - string
        vatNumber:
          type:
            - 'null'
            - string
        mid:
          type:
            - 'null'
            - string
        avatarColor:
          type:
            - 'null'
            - string
        processingTypes:
          type:
            - 'null'
            - string
        facilityCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        state:
          $ref: '#/components/schemas/SubSupplierState'
        createdAt:
          type: string
          format: date-time
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/SubSupplierContactDto'
      additionalProperties: false
    BulkErrorDetail:
      required:
        - operation
        - total_items
        - failed_items
        - summary
        - details
      type: object
      properties:
        operation:
          type: string
        total_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        failed_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        summary:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    SubSupplierState: {}
    SubSupplierContactDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        firstName:
          type:
            - 'null'
            - string
        lastName:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        phone:
          type:
            - 'null'
            - string
        role:
          type:
            - 'null'
            - string
        faxNumber:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
        countryCode:
          type:
            - 'null'
            - string
        countryName:
          type:
            - 'null'
            - string
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false

````